=== debian/changelog ===
blas (1.2.20110419-7ubuntu1) utopic; urgency=medium

  * Cherry-pick from Debian blas 1.2.20110419-9 to fix FTBFS on i386;
    thanks to Sébastien Villemot:
    - On any-i386 and m68k, compile test programs with -ffloat-store. This
      has become necessary with gfortran 4.9 (maybe because the
      -fno-whole-file option has been removed, though I don't really
      understand the interaction of both options). (Closes: #762484)

 -- Robie Basak <robie.basak@ubuntu.com>  Wed, 08 Oct 2014 15:22:19 +0000

blas (1.2.20110419-7) unstable; urgency=low

  * Make sure that -mieee is used when compiling on alpha
  * Restore -fno-whole-file and -ffloat-store (the latter only for *-i386
    and m68k, and only for some files), otherwise some tests break

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 24 Sep 2013 20:41:52 +0200

blas (1.2.20110419-6) unstable; urgency=low

  * Use my @debian.org address
  * Remove obsolete DM-Upload-Allowed flag
  * Bump to debhelper compat level 9
  * Remove pre-squeeze Conflicts/Replaces/Provides
  * Use quilt to manage the patch to upstream sources
  * Rewrite debian/rules using dh
  * Test programs are now installed under /usr/lib/libblas, for consistency with
    the library objects
  * Inject flags from dpkg-buildflags (Closes: #700495)
  * Switch VCS to git
  * Improve long description of libblas-test
  * Bump to Standards-Version 3.9.4, no changes needed
  * Ship in libblas-test a script for running all BLAS tests
  * Register cinterface.pdf into doc-base, and fix the doc-base section
    for the BLAS FAQ

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 23 Sep 2013 18:56:25 +0200

blas (1.2.20110419-5) unstable; urgency=low

  * libblas3gf.prerm: avoid crash if libblas.so.3gf already deleted
  * libblas-test: put in devel/extra to reflect override

 -- Sébastien Villemot <sebastien.villemot@ens.fr>  Fri, 29 Jun 2012 18:37:36 +0000

blas (1.2.20110419-4) unstable; urgency=low

  * libblas3.prerm: avoid crash if libblas.so.3gf already deleted
  * Indicate that libblas3 conflicts with octave3.2 (Closes: #677399)
  * libblas3gf transitional package:
    + move to oldlibs section (Closes: #679104)
    + mark as arch:all
  * Add myself to Uploaders
  * Set DM-Upload-Allowed to yes

 -- Sébastien Villemot <sebastien.villemot@ens.fr>  Sun, 24 Jun 2012 16:13:14 +0000

blas (1.2.20110419-3) unstable; urgency=low

  * Upload in unstable

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 02 Jun 2012 17:32:35 +0200

blas (1.2.20110419-3~exp8) experimental; urgency=low

  * Rollback previous upload

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 01 Jun 2012 11:04:21 +0200

blas (1.2.20110419-3~exp7) experimental; urgency=low

  * Fix a bad alternative link to the old library name

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 01 Jun 2012 10:27:10 +0200

blas (1.2.20110419-3~exp6) experimental; urgency=low

  * Replaces and Breaks updated against the right versions of other impacted
    packages

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 20 May 2012 17:20:39 +0200

blas (1.2.20110419-3~exp5) experimental; urgency=low

  * Moved removal from postinst to preinst

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 18 May 2012 16:01:51 +0200

blas (1.2.20110419-3~exp4) experimental; urgency=low

  * Remove libblas.so.3gf references before the install (Closes: #659784)

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 14 May 2012 18:29:00 +0200

blas (1.2.20110419-3~exp3) experimental; urgency=low

  * Join modifications with blas, lapack, atlas and openblas.
    Declare the replacements of all *3gf blas & lapack implementation
    (See bug #660607)
  * Standards-Version updated to version 3.9.3
  * -fwhole-file, default from gfortran 4.6, is breaking the blas tests.
    Bring back the previous behavior with -fno-whole-file
  * Update of the desc

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 10 Apr 2012 21:10:42 +0200

blas (1.2.20110419-3~exp2) experimental; urgency=low

  * Bring back libblas3gf as transitionnal package
  * Drop the previous alternative before installing the new one
    (Closes: #659784)
  * Drop the forced version of gcc (Closes: #654723)

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 19 Feb 2012 12:02:10 +0100

blas (1.2.20110419-3~exp1) experimental; urgency=low

  * Rename libblas3gf package => libblas3
  * Rename libblas.so.3gf => libblas.so.3
  * Fix postinst-has-useless-call-to-ldconfig &
    postrm-has-useless-call-to-ldconfig
  * Fix debian-rules-missing-recommended-target build-arch

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 04 Sep 2011 14:42:02 +0200

blas (1.2.20110419-2) unstable; urgency=low

  * Force the version 4.5 of gcc to fix a failing test (Closes: #625723)
  * -O3 is set back for amd64 (Closes: #569436)

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 10 Aug 2011 23:32:26 +0200

blas (1.2.20110419-1) unstable; urgency=low

  * New upstream release
    - Fix the FTBFS due to changes in the returned values (Closes: #625723)
      (LP: #765998)
  * Switch to dpkg-source 3.0 (quilt) format
  * Standards-Version updated to version 3.9.2

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 05 Aug 2011 00:40:45 +0200

blas (1.2-8) unstable; urgency=low

  [ Kumar Appaiah ]
  * Use 'findstring' in rules file to search for amd64 within
    architecture string to use -O2 as FFLAGS. (Closes: #598876)

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 05 Oct 2010 15:08:35 +0200

blas (1.2-7) unstable; urgency=low

  * Remove the old alternatives (Closes: #576801)

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 07 Apr 2010 14:50:51 +0200

blas (1.2-6) unstable; urgency=low

  * Upload into unstable

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 06 Apr 2010 10:21:37 +0200

blas (1.2-5) experimental; urgency=low

  * postinst & prerm added for each packages to manage update-alternatives
    See: http://wiki.debian.org/DebianScience/LinearAlgebraLibraries


